> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a template

> Get one published template with the questions that a new form starts with.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/templates.yaml GET /templates/{id}
openapi: 3.0.3
info:
  title: NeetoForm Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Templates
    description: APIs to browse form templates and create forms from them.
paths:
  /templates/{id}:
    get:
      tags:
        - Templates
      summary: Get a template
      description: >-
        Get one published template with the questions that a new form starts
        with.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: id
          description: >-
            Id or slug of the template. You can get it by using the [List
            templates](/api/templates/list) API.
          required: true
          schema:
            type: string
            example: customer-feedback
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/template_with_questions'
              example:
                id: 4e2a9b1c-7d3f-4c8e-9a5b-1f0e2d3c4b5a
                title: Customer feedback
                slug: customer-feedback
                categories:
                  - Feedback
                preview_url: >-
                  https://templates.neetoform.com/abc123?embedPreview=true&templateView=true&disable_widgets=true
                questions:
                  - id: d1e2f3a4-b5c6-4d7e-8f90-a1b2c3d4e5f6
                    label: Email address
                    kind: email
                    slug: email
                    position: 1
                    is_required: true
                    is_hidden: false
        '404':
          description: Not Found - The template does not exist or is not published
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    template_with_questions:
      allOf:
        - $ref: '#/components/schemas/template'
        - type: object
          properties:
            questions:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: d1e2f3a4-b5c6-4d7e-8f90-a1b2c3d4e5f6
                  label:
                    type: string
                    example: Email address
                  kind:
                    type: string
                    example: email
                  slug:
                    type: string
                    example: email
                  position:
                    type: integer
                    example: 1
                  is_required:
                    type: boolean
                    example: true
                  is_hidden:
                    type: boolean
                    example: false
    error_response:
      type: object
      properties:
        error:
          type: string
    template:
      type: object
      properties:
        id:
          type: string
          example: 4e2a9b1c-7d3f-4c8e-9a5b-1f0e2d3c4b5a
        title:
          type: string
          example: Customer feedback
        slug:
          type: string
          example: customer-feedback
        categories:
          type: array
          items:
            type: string
          example:
            - Feedback
        preview_url:
          type: string
          example: >-
            https://templates.neetoform.com/abc123?embedPreview=true&templateView=true&disable_widgets=true

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.